<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <form nz-form [formGroup]="form">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="24" nzLg="12">
        <mb-input-text formControlName="appCode" [mbMaxLength]="50" uppercase (mbBlur)="codeBlur()"
          [mbType]="isSubmitted && form.controls['appCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['appCode'].errors !== null" [mbErrors]="form.controls['appCode'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '50' }},
           { errorName: 'code', errorDescription: 'system.validate.code' | translate },
           { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.app.label.attributes.appCode' | translate }}]"
          mbPlaceholderText="--{{'system.app.label.attributes.appCode' | translate}}--"
          mbLabelText="{{'system.app.label.attributes.appCode' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="12">
        <mb-input-text formControlName="appName"
          [mbType]="isSubmitted && form.controls['appName'].errors ? 'error' : 'default'" [mbMaxLength]="150"
          [mbShowError]="isSubmitted && form.controls['appName'].errors != null" [mbErrors]="form.controls['appName'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '150' }},
            { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.app.label.attributes.appName' | translate }}]"
          mbPlaceholderText="--{{'system.app.label.attributes.appName' | translate}}--"
          mbLabelText="{{'system.app.label.attributes.appName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text formControlName="description" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="255"
          [mbType]="isSubmitted && form.controls['description'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['description'].errors !== null" [mbErrors]="form.controls['description'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '255' }}]"
          mbPlaceholderText="--{{'system.app.label.attributes.description' | translate}}--"
          mbLabelText="{{'system.app.label.attributes.description' | translate}}"></mb-input-text>
      </div>
    </div>
    <div class="footer">
      <mb-button mbButtonType="NO_BORDER" mbType='SUBMIT' mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    </div>
  </form>
</div>
